%global    gem_name    rspec-expectations

%bcond_with bootstrap

%undefine __brp_mangle_shebangs

Summary:    RSpec expectations (should and matchers)
Name:       rubygem-%{gem_name}
Version:    3.12.2
Release:    7%{?dist}
License:    MIT
URL:        http://github.com/rspec/rspec-expectations
Source0:    https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:    https://github.com/rspec/%{gem_name}/archive/v%{version}.tar.gz

BuildRequires:    rubygems-devel
%if %{without bootstrap}
BuildRequires:    rubygem(rspec) rubygem(rake) rubygem(rspec-support) rubygem(minitest) git
%endif
BuildArch:        noarch

%description
rspec-expectations adds `should` and `should_not` to every object and includes RSpec::Matchers, a
library of standard matchers.

%prep
%setup -q -T -n %{gem_name}-%{version} -b 1

gem specification %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%install
%gem_install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/{.document,.yardopts}

%check
%if %{without bootstrap}
LANG=C.UTF-8
export RUBYLIB=$(pwd)/lib
rspec spec/
%endif

%files
%license    %{gem_instdir}/LICENSE.md
%doc    %{gem_instdir}/Changelog.md
%doc    %{gem_instdir}/README.md
%{gem_docdir}
%{gem_instdir}/lib/
%{gem_spec}
%exclude    %{gem_cache}

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.2-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.2-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.2-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 3.12.2-2
- close bootstrap

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 3.12.2-1
- initial build
